=== debian/changelog ===
python-advanced-alchemy (0.29.1-1) unstable; urgency=medium

  * [f8eefee] New upstream version 0.29.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 18 Jan 2025 07:31:59 +0200

python-advanced-alchemy (0.26.2-1) unstable; urgency=medium

  * [a3ec533] New upstream version 0.26.2
  * [5ea43d2] First and basic Debianization
    (Closes: #1092143)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 11 Jan 2025 08:03:05 +0200
