## python-advanced-alchemy 0.30.2

=== debian/changelog ===
python-advanced-alchemy (0.30.2-1) unstable; urgency=medium

  * [8876256] New upstream version 0.30.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 22 Jan 2025 18:45:59 +0200
