## python-advanced-alchemy 0.30.3

=== debian/changelog ===
python-advanced-alchemy (0.30.3-1) unstable; urgency=medium

  * [1637a56] New upstream version 0.30.3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 16 Feb 2025 12:47:18 +0200
