=== debian/changelog ===
python-advanced-alchemy (0.31.0-1) unstable; urgency=medium

  * [24c4680] New upstream version 0.31.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 20 Feb 2025 16:16:53 +0200
