=== debian/control ===
Source: python-advanced-alchemy
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
# python3-asyncmy <!nocheck>,
## python3-asyncpg <!nocheck>,
# python3-pytest <!nocheck>,
## sqlalchemy-cockroachdb <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/litestar-org/advanced-alchemy
Vcs-Git: https://salsa.debian.org/python-team/packages/python-advanced-alchemy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-advanced-alchemy
Testsuite: autopkgtest-pkg-pybuild

Package: python3-advanced-alchemy
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Carefully crafted, tested, optimized companion library for SQLAlchemy (Python 3)
 Advanced Alchemy is offering useful and easy-to-use features for your database
 projects. It is built on:
 .
  * SQLAlchemy
  * msgspec
  * Alembic
  * Typing Extensions
 .
 This package contains the Python 3 version.
