## python-advanced-alchemy 0.32.2

=== debian/changelog ===
python-advanced-alchemy (0.32.2-1) unstable; urgency=medium

  * [4de9f20] New upstream version 0.32.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 27 Feb 2025 17:18:54 +0200
