## python-advanced-alchemy 0.34.0

=== debian/changelog ===
python-advanced-alchemy (0.34.0-1) unstable; urgency=medium

  * [95cbaf2] New upstream version 0.34.0
  * [b45c323] d/control: Bump Standards-Version to 4.7.2
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 12 Mar 2025 17:53:43 +0200
