## python-advanced-alchemy 1.0.1

=== debian/changelog ===
python-advanced-alchemy (1.0.1-1) unstable; urgency=medium

  * [9449557] New upstream version 1.0.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 20 Mar 2025 17:10:52 +0200
