## python-advanced-alchemy 1.1.1

=== debian/changelog ===
python-advanced-alchemy (1.1.1-1) unstable; urgency=medium

  * [85bb3ca] New upstream version 1.1.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 07 Apr 2025 17:16:41 +0200

python-advanced-alchemy (1.0.2-1) unstable; urgency=medium

  * [a76d851] New upstream version 1.0.2

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 06 Apr 2025 22:16:17 +0200
