## python-advanced-alchemy 1.3.0

=== debian/changelog ===
python-advanced-alchemy (1.3.0-1) unstable; urgency=medium

  * [02f6dcc] New upstream version 1.3.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 21 Apr 2025 12:55:12 +0200
