## python-advanced-alchemy 1.4.1

=== Makefile ===
--- 
+++ 
@@ -89,8 +89,8 @@
 	@make docs
 	@make clean
 	@make build
-	@uv lock --upgrade-package advanced-alchemy >/dev/null 2>&1
 	@uv run bump-my-version bump $(bump)
+	@uv lock --upgrade-package advanced-alchemy
 	@echo "${OK} Release complete 🎉"
 
 # =============================================================================
