=== debian/changelog ===
python-advanced-alchemy (1.4.1-1) unstable; urgency=medium

  * [2812fe4] New upstream version 1.4.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 01 May 2025 13:36:54 +0200
