## python-advanced-alchemy 1.6.2

=== Makefile ===
--- 
+++ 
@@ -88,6 +88,7 @@
 	@echo "${INFO} Preparing for release... 📦"
 	@make docs
 	@make clean
+	@uv run python tools/pypi_readme.py
 	@make build
 	@uv run bump-my-version bump $(bump)
 	@uv lock --upgrade-package advanced-alchemy
@@ -118,15 +119,14 @@
 .PHONY: test
 test:                                              ## Run the tests
 	@echo "${INFO} Running test cases... 🧪"
-	@uv run pytest -n 2 --quiet
+	@uv run pytest --dist "loadgroup" -m "" tests -n 2 --quiet
 	@echo "${OK} Tests passed ✨"
 
 .PHONY: coverage
 coverage:                                          ## Run tests with coverage report
 	@echo "${INFO} Running tests with coverage... 📊"
-	@uv run pytest --cov -n auto --quiet
+	@uv run pytest tests --dist "loadgroup" -m "" --cov=advanced_alchemy --cov-report=xml -n 2 --quiet
 	@uv run coverage html >/dev/null 2>&1
-	@uv run coverage xml >/dev/null 2>&1
 	@echo "${OK} Coverage report generated ✨"
 
 # -----------------------------------------------------------------------------
