=== debian/changelog ===
python-advanced-alchemy (1.6.2-1) unstable; urgency=medium

  * [6c41612] d/watch: Convert to version 5
  * [6cc09e7] New upstream version 1.6.2
  * [26bebd8] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 18 Sep 2025 17:39:20 +0200
