## python-advanced-alchemy 1.7.0

=== debian/changelog ===
python-advanced-alchemy (1.7.0-1) unstable; urgency=medium

  * [7f06f96] New upstream version 1.7.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 25 Oct 2025 09:00:15 +0200
