## python-advanced-alchemy 1.8.0

=== debian/changelog ===
python-advanced-alchemy (1.8.0-1) unstable; urgency=medium

  * [c399082] New upstream version 1.8.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 29 Oct 2025 07:13:14 +0200
