=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
 # python3-pytest <!nocheck>,
 ## sqlalchemy-cockroachdb <!nocheck>,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://github.com/litestar-org/advanced-alchemy
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-advanced-alchemy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-advanced-alchemy
