=== debian/watch ===
Version: 5

Source: https://github.com/litestar-org/advanced-alchemy.git
Matching-Pattern: refs/tags/v?(\d\S+)
Compression: gz
Dversionmangle: s/\+ds(\.?\d+)?$//
Uversionmangle: s/(\d)[_\.\-\+]?((a|alpha|b|beta|dev|pre|RC|rc)\.?\d*)$/$1~$2/
Mode: git
Pgpmode: none
