=== debian/changelog ===
python-advanced-alchemy (1.8.2-1) unstable; urgency=medium

  * [42cc55b] New upstream version 1.8.2
  * [4dba8b7] d/control: Bump Standards-Version to 4.7.3
    No further changes needed.
  * [524e781] d/u/metadata: Update Documentation field

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 24 Dec 2025 12:00:45 +0200
