=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 ## python3-asyncpg <!nocheck>,
 # python3-pytest <!nocheck>,
 ## sqlalchemy-cockroachdb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/litestar-org/advanced-alchemy
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-advanced-alchemy.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-advanced-alchemy
